unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SkReg, StdCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    SKReg1: TSKReg;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label14: TLabel;
    Edit3: TEdit;
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure SKReg1InValidExecute(uValidCode, uSentCode, uName: String;
      IsItValid: Boolean);
    procedure SKReg1ValidExecute(uValidCode, uSentCode, uName: String;
      IsItValid: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure SKReg1InValidRead(ValidCode, ReadCode, ReadName: String;
      IsItValid: Boolean);
    procedure SKReg1ValidRead(ValidCode, ReadCode, ReadName: String;
      IsItValid: Boolean);
    procedure SKReg1CustomAction(cusMsg: String);
    procedure SKReg1CrcDebugFail(CalledProc: TCDFailedAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

Uses Unit2;

{$R *.DFM}

procedure TForm1.Button2Click(Sender: TObject);
begin
  Application.Terminate;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
SkReg1.Execute;
Edit3.Text := SkReg1.UsersValidCode;
end;

procedure TForm1.SKReg1InValidExecute(uValidCode, uSentCode, uName: String;
  IsItValid: Boolean);
begin
  Label7.Caption := 'Code is NOT valid';
end;

procedure TForm1.SKReg1ValidExecute(uValidCode, uSentCode, uName: String;
  IsItValid: Boolean);
begin
 Label7.Caption := 'Code is valid';
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
SkReg1.ReadData;
Label8.Caption := SkReg1.UsersName;
Label9.Caption := SkReg1.UsersValidCode;
Label14.Caption := SkReg1.UsersValidCode;
end;

procedure TForm1.SKReg1InValidRead(ValidCode, ReadCode, ReadName: String;
  IsItValid: Boolean);
begin
   If Not Form1.Visible  Then
     Try
      Application.CreateForm(TNag, Nag);
      Unit2.Nag.ShowModal;
     Finally
      Unit2.Nag.Free;
     End;
  Label10.Caption := 'Code is NOT valid';
end;

procedure TForm1.SKReg1ValidRead(ValidCode, ReadCode, ReadName: String;
  IsItValid: Boolean);
begin
  Label10.Caption := 'Code is valid';
end;

procedure TForm1.SKReg1CustomAction(cusMsg: String);
begin
 ShowMessage(cusMsg);
end;

procedure TForm1.SKReg1CrcDebugFail(CalledProc: TCDFailedAction);
begin
 Case CalledProc Of
  faDebug : ShowMessage('A debugger was found in memory');
  faCrc   : ShowMessage('CRC value is not valid');
 End;
end;

end.
